### Method

# Gtk Windowset_destroy_with_parent

#### Declaration [src]

    void
    gtk_window_set_destroy_with_parent (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

If `setting` is `TRUE`, then destroying the transient parent of `window` will also destroy `window` itself.

This is useful for dialogs that shouldn’t persist beyond the lifetime of the main window they are associated with, for example.

Sets property | `Gtk.Window:destroy-with-parent`

#### Parameters

`setting`

  Type: `gboolean`

  Whether to destroy `window` with its transient parent.